import { FetchResult } from "@apollo/client/core";
import { CustomQuery, AddProductsToCartInput, AddProductsToCartMutation, CustomHeaders } from "@vue-storefront/magento-types";
import { Context } from "../../types/context";
/**
 * Adds products to the specified cart
 * @param context VSF Context
 * @param input ID of the cart and products to be added
 * @param [customQuery] (optional) - custom GraphQL query that extends the default one
 * @param customHeaders (optional) - custom headers that extends the default headers
 */
export default function addProductsToCart(context: Context, input: AddProductsToCartInput, customQuery?: CustomQuery, customHeaders?: CustomHeaders): Promise<FetchResult<AddProductsToCartMutation>>;
//# sourceMappingURL=index.d.ts.map