import { FetchResult } from "@apollo/client/core";
import type { CustomHeaders } from "@vue-storefront/magento-types";
import { ApplyCouponToCartInput, ApplyCouponToCartMutation, CustomQuery } from "@vue-storefront/magento-types";
import type { Context } from "../../types/context";
/**
 * Applies a coupon to a given card
 * @param context VSF context
 * @param input ID of the card and coupon to apply
 * @param customQuery custom GraphQL query that extends the default one
 * @param customHeaders (optional) - custom headers that extends the default headers
 */
export default function applyCouponToCart(context: Context, input: ApplyCouponToCartInput, customQuery?: CustomQuery, customHeaders?: CustomHeaders): Promise<FetchResult<ApplyCouponToCartMutation>>;
//# sourceMappingURL=index.d.ts.map