import { ApolloQueryResult } from "@apollo/client/core";
import { CustomQuery } from "@vue-storefront/magento-types";
import type { CartQuery, CustomHeaders } from "@vue-storefront/magento-types";
import { Context } from "../../types/context";
/**
 * Fetches a cart by its ID
 * @param context VSF context
 * @param cartId ID of the cart to fetch
 * @param customQuery custom GraphQL query that extends the default one
 * @param customHeaders (optional) - custom headers that extends the default headers
 */
export default function cart(context: Context, cartId: string, customQuery?: CustomQuery, customHeaders?: CustomHeaders): Promise<ApolloQueryResult<CartQuery>>;
//# sourceMappingURL=index.d.ts.map