import { ApolloQueryResult } from "@apollo/client/core";
import type { CustomHeaders } from "@vue-storefront/magento-types";
import { CmsPageQuery, CustomQuery } from "@vue-storefront/magento-types";
import { Context } from "../../types/context";
/**
 * Fetch CMS Page from Magento
 * @param context - VSF Context
 * @param identifier - identifier of CMS page
 * @param customQuery - (optional) - custom query that extends default cmsPage GraphQL query
 * @param customHeaders (optional) - custom headers that extends the default headers
 */
export default function getCmsPage(context: Context, identifier: string, customQuery?: CustomQuery, customHeaders?: CustomHeaders): Promise<ApolloQueryResult<CmsPageQuery>>;
//# sourceMappingURL=index.d.ts.map