import { ApolloQueryResult } from "@apollo/client/core";
import { CustomQuery, CountryInformationQuery } from "@vue-storefront/magento-types";
import type { CustomHeaders } from "@vue-storefront/magento-types";
import { Context } from "../../types/context";
/**
 * Fetches the information about a country given its ID
 * @param context VSF Context
 * @param id ID of the country to be fetched
 * @param [customQuery] (optional) - custom GraphQL query that extends the default one
 * @param customHeaders (optional) - custom headers that extends the default headers
 */
export default function country(context: Context, id: string, customQuery?: CustomQuery, customHeaders?: CustomHeaders): Promise<ApolloQueryResult<CountryInformationQuery>>;
//# sourceMappingURL=index.d.ts.map