import type { ApolloQueryResult } from "@apollo/client/core";
import type { CustomHeaders, CustomQuery, GetProductSearchParams, ProductDetailsQuery } from "@vue-storefront/magento-types";
import type { Context } from "../../types/context";
/**
 * Fetches the list of products with details using sort, filters and pagination.
 *
 * @param context VSF context
 * @param searchParams params with sort, filters and pagination
 * @param [customQuery] (optional) - custom GraphQL query that extends the default query
 * @param customHeaders (optional) - custom headers that extends the default headers
 */
export default function productDetails(context: Context, searchParams?: GetProductSearchParams, customQuery?: CustomQuery, customHeaders?: CustomHeaders): Promise<ApolloQueryResult<ProductDetailsQuery>>;
//# sourceMappingURL=index.d.ts.map