import { ApolloQueryResult } from "@apollo/client/core";
import { CustomHeaders, CustomQuery, GetProductSearchParams, ProductsListQuery } from "@vue-storefront/magento-types";
import { Context } from "../../types/context";
/**
 * Fetches products using received search term and params for filter, sort and
 * pagination.
 *
 * @param context VSF context
 * @param searchParams search term and params for filter, sort and pagination
 * @param [customQuery] (optional) - custom GraphQL query that extends the default query
 * @param customHeaders (optional) - custom headers that extends the default headers
 */
export default function products(context: Context, searchParams?: GetProductSearchParams, customQuery?: CustomQuery, customHeaders?: CustomHeaders): Promise<ApolloQueryResult<ProductsListQuery>>;
//# sourceMappingURL=index.d.ts.map