import type { FetchResult } from "@apollo/client/core";
import type { CustomHeaders, CustomQuery, SetShippingAddressesOnCartInput, SetShippingAddressesOnCartMutation } from "@vue-storefront/magento-types";
import type { Context } from "../../types/context";
/**
 * Sets a shipping address on received cart.
 *
 * @param context VSF context
 * @param input params with cart ID and shipping address.
 * @param [customQuery] (optional) - custom GraphQL query that extends the default one
 * @param customHeaders (optional) - custom headers that extends the default headers
 */
export default function setShippingAddressesOnCart(context: Context, input: SetShippingAddressesOnCartInput, customQuery?: CustomQuery, customHeaders?: CustomHeaders): Promise<FetchResult<SetShippingAddressesOnCartMutation>>;
//# sourceMappingURL=index.d.ts.map