import type { FetchResult } from "@apollo/client/core";
import type { CustomHeaders, CustomQuery, SetShippingMethodsOnCartInput, SetShippingMethodsOnCartMutation } from "@vue-storefront/magento-types";
import type { Context } from "../../types/context";
/**
 * Sets a shipping method on received cart.
 *
 * @param context VSF context
 * @param input params with cart ID and shipping method.
 * @param [customQuery] (optional) - custom GraphQL query that extends the default one
 * @param customHeaders (optional) - custom headers that extends the default headers
 */
export default function setShippingMethodsOnCart(context: Context, input: SetShippingMethodsOnCartInput, customQuery?: CustomQuery, customHeaders?: CustomHeaders): Promise<FetchResult<SetShippingMethodsOnCartMutation>>;
//# sourceMappingURL=index.d.ts.map