import type { ApolloQueryResult } from "@apollo/client/core";
import type { CustomHeaders, CustomQuery, UrlResolverQuery } from "@vue-storefront/magento-types";
import type { Context } from "../../types/context";
/**
 * Fetches the resolver for received URL.
 *
 * @param context VSF Context
 * @param url the URL to be resolved
 * @param [customQuery] (optional) - custom GraphQL query that extends the default one
 * @param customHeaders (optional) - custom headers that extends the default headers
 * @deprecated - use route instead
 */
export default function urlResolver(context: Context, url: string, customQuery?: CustomQuery, customHeaders?: CustomHeaders): Promise<ApolloQueryResult<UrlResolverQuery>>;
//# sourceMappingURL=index.d.ts.map