import { FetchResult } from "@apollo/client/core";
import { CustomQuery, AddDownloadableProductsToCartInput, AddDownloadableProductsToCartMutation } from "@vue-storefront/magento-types";
import type { CustomHeaders } from "@vue-storefront/magento-types";
import type { Context } from "../../types/context";
/**
 * Adds a set of downloadable products to a specified cart
 * @param context VSF Context
 * @param input ID of the cart and products to be added
 * @param customQuery custom GraphQL query that extends the default one
 * @param customHeaders (optional) - custom headers that extends the default headers
 */
export default function addDownloadableProductsToCart(context: Context, input: AddDownloadableProductsToCartInput, customQuery?: CustomQuery, customHeaders?: CustomHeaders): Promise<FetchResult<AddDownloadableProductsToCartMutation>>;
//# sourceMappingURL=index.d.ts.map