import { FetchResult } from "@apollo/client/core";
import { CustomQuery, AddVirtualProductsToCartInput, AddVirtualProductsToCartMutation } from "@vue-storefront/magento-types";
import type { CustomHeaders } from "@vue-storefront/magento-types";
import type { Context } from "../../types/context";
/**
 * Adds a set of virtual products to a specified cart
 * @param context VSF Context
 * @param input ID of the cart and products to add
 * @param customQuery custom GraphQL query that extends the default one
 * @param customHeaders (optional) - custom headers that extends the default headers
 */
export default function addVirtualProductsToCart(context: Context, input: AddVirtualProductsToCartInput, customQuery?: CustomQuery, customHeaders?: CustomHeaders): Promise<FetchResult<AddVirtualProductsToCartMutation>>;
//# sourceMappingURL=index.d.ts.map