import { ApolloQueryResult } from "@apollo/client/core";
import type { CustomHeaders } from "@vue-storefront/magento-types";
import { CategoryListQuery, CustomQuery, QueryCategoryListArgs } from "@vue-storefront/magento-types";
import { Context } from "../../types/context";
/**
 * Fetches the category list.
 *
 * @param context VSF Context
 * @param params
 * @param [customQuery] (optional) - custom GraphQL query that extends the default query
 * @param customHeaders (optional) - custom headers that extends the default headers
 */
export default function categoryList(context: Context, params: QueryCategoryListArgs, customQuery?: CustomQuery, customHeaders?: CustomHeaders): Promise<ApolloQueryResult<CategoryListQuery>>;
//# sourceMappingURL=index.d.ts.map