import { ApolloQueryResult } from "@apollo/client/core";
import { CustomQuery, CategorySearchQuery, CategorySearchQueryVariables } from "@vue-storefront/magento-types";
import type { CustomHeaders } from "@vue-storefront/magento-types";
import { Context } from "../../types/context";
/**
 * Searches for categories using received filters.
 *
 * @param context VSF Context
 * @param filters filters used to search for categories. A filter contains at
 * least one attribute, a comparison operator, and the value that is being
 * searched for.
 * @param [customQuery] (optional) - custom GraphQL query that extends the default query
 * @param customHeaders (optional) - custom headers that extends the default headers
 */
export default function categorySearch(context: Context, filters: CategorySearchQueryVariables, customQuery?: CustomQuery, customHeaders?: CustomHeaders): Promise<ApolloQueryResult<CategorySearchQuery>>;
//# sourceMappingURL=index.d.ts.map