import { ApolloQueryResult } from "@apollo/client/core";
import type { CustomHeaders, GuestAvailablePaymentMethodsQuery } from "@vue-storefront/magento-types";
import { Context } from "../../types/context";
/**
 * Fetches the available payment methods for the received cart.
 *
 * @param context VSF context
 * @param cartId cart ID
 * @param customHeaders (optional) - custom headers that extends the default headers
 */
export default function getAvailablePaymentMethods(context: Context, cartId: string, customHeaders?: CustomHeaders): Promise<ApolloQueryResult<GuestAvailablePaymentMethodsQuery>>;
//# sourceMappingURL=index.d.ts.map