import { ApolloQueryResult } from "@apollo/client/core";
import type { CustomHeaders } from "@vue-storefront/magento-types";
import { CustomQuery, GetCustomerAddressesQuery } from "@vue-storefront/magento-types";
import { Context } from "../../types/context";
/**
 * Fetches customer addresses.
 *
 * @param context - VSF Context
 * @param [customQuery] - (optional) - custom GraphQL query that extends the default query
 * @param customHeaders (optional) - custom headers that extends the default headers
 */
export default function getCustomerAddresses(context: Context, customQuery?: CustomQuery, customHeaders?: CustomHeaders): Promise<ApolloQueryResult<GetCustomerAddressesQuery>>;
//# sourceMappingURL=index.d.ts.map