import type { ApolloQueryResult } from "@apollo/client/core";
import type { CustomHeaders, CustomQuery, GetProductSearchParams, RelatedProductsQuery } from "@vue-storefront/magento-types";
import type { Context } from "../../types/context";
/**
 * Searches for related products using params for sorting, filtering and
 * pagination.
 *
 * @param context VSF context
 * @param searchParams params for sorting, filtering and pagination
 * @param [customQuery] (optional) - custom GraphQL query that extends the default query
 * @param customHeaders (optional) - custom headers that extends the default headers
 */
export default function relatedProducts(context: Context, searchParams?: GetProductSearchParams, customQuery?: CustomQuery, customHeaders?: CustomHeaders): Promise<ApolloQueryResult<RelatedProductsQuery>>;
//# sourceMappingURL=index.d.ts.map