import { FetchResult } from "@apollo/client/core";
import type { CustomHeaders } from "@vue-storefront/magento-types";
import { CustomQuery, RemoveCouponFromCartInput, RemoveCouponFromCartMutation } from "@vue-storefront/magento-types";
import type { Context } from "../../types/context";
/**
 * Removes a coupon from a cart
 * @param context VSF context
 * @param input ID of the cart and coupon to remove
 * @param customQuery custom GraphQL query that extends the default one
 * @param customHeaders (optional) - custom headers that extends the default headers
 */
export default function removeCouponFromCart(context: Context, input: RemoveCouponFromCartInput, customQuery?: CustomQuery, customHeaders?: CustomHeaders): Promise<FetchResult<RemoveCouponFromCartMutation>>;
//# sourceMappingURL=index.d.ts.map