import { FetchResult } from "@apollo/client/core";
import type { CustomHeaders, CustomQuery } from "@vue-storefront/magento-types";
import { RemoveItemFromCartInput, RemoveItemFromCartMutation } from "@vue-storefront/magento-types";
import type { Context } from "../../types/context";
/**
 * Removes an item from the given cart
 * @param context VSF context
 * @param input ID of the cart and item to be removed from it
 * @param customQuery custom GraphQL query that extends the default one
 * @param customHeaders (optional) - custom headers that extends the default headers
 */
export default function removeItemFromCart(context: Context, input: RemoveItemFromCartInput, customQuery?: CustomQuery, customHeaders?: CustomHeaders): Promise<FetchResult<RemoveItemFromCartMutation>>;
//# sourceMappingURL=index.d.ts.map