import type { ApolloQueryResult } from "@apollo/client/core";
import type { CustomHeaders, CustomQuery, RoutableInterface, RouteQuery } from "@vue-storefront/magento-types";
import type { Context } from "../../types/context";
/**
 * Returns the canonical URL for a specified product, category, or CMS page
 *
 * @param context VSF Context
 * @param url the URL to be resolved
 * @param [customQuery] (optional) - custom GraphQL query that extends the default one
 * @param customHeaders (optional) - custom headers that extends the default headers
 */
export default function route(context: Context, url: string, customQuery?: CustomQuery, customHeaders?: CustomHeaders): Promise<ApolloQueryResult<RouteQuery<RoutableInterface>>>;
//# sourceMappingURL=index.d.ts.map