import { FetchResult } from "@apollo/client/core";
import type { CustomHeaders } from "@vue-storefront/magento-types";
import { CustomQuery, SetGuestEmailOnCartInput, SetGuestEmailOnCartMutation } from "@vue-storefront/magento-types";
import { Context } from "../../types/context";
/**
 * Set the guest user email on the cart
 * @param context VSF Context
 * @param input Variables to set guest email
 * @param [customQuery] (optional) - Custom query that will extend default one
 * @param customHeaders (optional) - custom headers that extends the default headers
 */
export default function setGuestEmailOnCart(context: Context, input: SetGuestEmailOnCartInput, customQuery?: CustomQuery, customHeaders?: CustomHeaders): Promise<FetchResult<SetGuestEmailOnCartMutation>>;
//# sourceMappingURL=index.d.ts.map