import { FetchResult } from "@apollo/client/core";
import type { CustomHeaders, SetPaymentMethodOnCartInputs, SetPaymentMethodOnCartMutation } from "@vue-storefront/magento-types";
import { CustomQuery } from "@vue-storefront/magento-types";
import { Context } from "../../types/context";
/**
 * Sets received payment method on cart.
 *
 * @param context VSF context
 * @param input params containing the cart's ID and the payment method
 * @param [customQuery] (optional) - custom GraphQL query that extends the default query
 * @param customHeaders (optional) - custom headers that extends the default headers
 */
export default function setPaymentMethodOnCart(context: Context, input: SetPaymentMethodOnCartInputs, customQuery?: CustomQuery, customHeaders?: CustomHeaders): Promise<FetchResult<SetPaymentMethodOnCartMutation>>;
//# sourceMappingURL=index.d.ts.map