import { FetchResult } from "@apollo/client/core";
import type { CustomHeaders, CustomQuery } from "@vue-storefront/magento-types";
import { UpdateCartItemsInput, UpdateCartItemsMutation } from "@vue-storefront/magento-types";
import type { Context } from "../../types/context";
/**
 * Updates the contents of the given cart
 * @param context VSF context
 * @param input ID of the cart and the items to update it
 * @param customQuery custom GraphQL query that extends the default one
 * @param customHeaders (optional) - custom headers that extends the default headers
 */
export default function updateCartItems(context: Context, input: UpdateCartItemsInput, customQuery?: CustomQuery, customHeaders?: CustomHeaders): Promise<FetchResult<UpdateCartItemsMutation>>;
//# sourceMappingURL=index.d.ts.map