import { FetchResult } from "@apollo/client/core";
import { CustomQuery, UpdateCustomerAddressMutation, UpdateCustomerAddressMutationVariables } from "@vue-storefront/magento-types";
import type { CustomHeaders } from "@vue-storefront/magento-types";
import { Context } from "../../types/context";
/**
 * Updates a customer address.
 *
 * @param context VSF Context
 * @param params object with address identifier and the updated data
 * @param [customQuery] (optional) custom GraphQL query that extends the default query
 * @param customHeaders (optional) - custom headers that extends the default headers
 */
export default function updateCustomerAddress(context: Context, params: UpdateCustomerAddressMutationVariables, customQuery?: CustomQuery, customHeaders?: CustomHeaders): Promise<FetchResult<UpdateCustomerAddressMutation>>;
//# sourceMappingURL=index.d.ts.map