/** GraphQL Mutation that adds a product to the cart */
declare const _default: "\n  mutation addProductsToCart($cartId: String!, $cartItems: [CartItemInput!]!) {\n    addProductsToCart(cartId,: $cartId, cartItems,: $cartItems) {\n      cart {\n        id\n        email\n        is_virtual\n        applied_coupons {\n          code\n        }\n        prices {\n          subtotal_excluding_tax {\n            value\n          },\n          subtotal_including_tax {\n            value\n          },\n          applied_taxes {\n            amount {\n              value\n            },\n            label\n          }\n          discounts {\n            amount {\n              value\n            },\n            label\n          }\n          grand_total {\n            value\n          }\n        }\n        items {\n          uid\n          product {\n            uid\n            __typename\n            sku\n            name\n            stock_status\n            only_x_left_in_stock\n            rating_summary\n            thumbnail {\n              url\n              position\n              disabled\n              label\n            }\n            url_key\n            url_rewrites {\n              url\n            }\n            price_range {\n              maximum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n              minimum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n            }\n            categories {\n              uid\n              name\n              url_suffix\n              url_path\n              breadcrumbs {\n                category_name,\n                category_url_path\n              }\n            }\n            review_count\n            reviews {\n              items {\n                average_rating\n                ratings_breakdown {\n                  name\n                  value\n                }\n              }\n            }\n          }\n          prices {\n            row_total {\n              value\n            }\n            row_total_including_tax {\n              value\n            }\n            total_item_discount {\n              value\n            }\n          }\n          quantity\n          ... on ConfigurableCartItem {\n            configurable_options {\n              configurable_product_option_uid\n              option_label\n              configurable_product_option_value_uid\n              value_label\n            }\n            configured_variant {\n              sku\n              thumbnail {\n                url\n              }\n            }\n          }\n          ... on BundleCartItem {\n            bundle_options {\n              uid\n              label\n              type\n              values {\n                id\n                label\n                price\n                quantity\n              }\n            }\n          }\n        }\n        total_quantity\n        shipping_addresses {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n          selected_shipping_method {\n            carrier_code\n            carrier_title\n            method_code\n            method_title\n            amount {\n              value\n              currency\n            }\n          }\n        }\n        billing_address {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n        }\n      }\n      user_errors {\n        code\n        message\n      }\n    }\n  }\n";
export default _default;
//# sourceMappingURL=addProductsToCart.d.ts.map